<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <OutputType>Exe</OutputType>
    <ApplicationIcon>favicon.ico</ApplicationIcon>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.Development.json" />
    <None Remove="appsettings.json" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="favicon.ico" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Tiobon.Core.Extensions\Tiobon.Core.Extensions.csproj" />
    <ProjectReference Include="..\Tiobon.Core.Services\Tiobon.Core.Services.csproj" />
    <ProjectReference Include="..\Tiobon.Core.Tasks\Tiobon.Core.Tasks.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Tiobon.Core">
      <HintPath>..\Lib\Tiobon.Core.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
